> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Select review service

## Overview

Allows the client to select an internal peer review service, for reviewing a recent identity application.

## HTTP request

`POST /Agent/Legal/SelectReviewService`

## Authentication

Requires a valid JWT bearer token.

## Request (JSON)

```json theme={null}
{
	"serviceId": Required(Str(PServiceId)),
	"serviceProvider": Required(Str(PServiceProvider))
}
```

## Input parameters

| Parameter        | Description                            |
| ---------------- | -------------------------------------- |
| PServiceId       | ID of internal peer review service.    |
| PServiceProvider | Type (class name) of service provider. |

## Response (JSON)

```json theme={null}
{
}
```

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/neuron-api/pattern-matching).
